unit Childwn2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Grids, DBGrids, DB, DBTables, Netcon;

type
  TMDIEmployee = class(TForm)
    DataSource1: TDataSource;
    Table1: TTable;
    DBGrid1: TDBGrid;
    NcEmployeeChild: TAppNetConnectChild;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Table1AfterDelete(DataSet: TDataset);
    procedure NCEmployeeChildUpdate(Sender: TObject; Channel: Longint;
      Stamp: TDateTime);
    procedure Table1AfterPost(DataSet: TDataset);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  MDIEmployee: TMDIEmployee;

implementation

{$R *.DFM}

procedure TMDIEmployee.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := cafree
end;

procedure TMDIEmployee.FormCreate(Sender: TObject);
begin
  Table1.Open;
end;

procedure TMDIEmployee.FormDestroy(Sender: TObject);
begin
  Table1.Close;
end;

procedure TMDIEmployee.Table1AfterDelete(DataSet: TDataset);
begin
  NCEmployeeChild.SendChange;
end;

procedure TMDIEmployee.NCEmployeeChildUpdate(Sender: TObject;
  Channel: Longint; Stamp: TDateTime);
begin
  Table1.Refresh;
end;

procedure TMDIEmployee.Table1AfterPost(DataSet: TDataset);
begin
  NCEmployeeChild.SendChange;
end;

end.
